Page MenuHomePhabricator

Update quibble jobs to use phpunit-patch-coverage 0.0.10
Closed, ResolvedPublic

Description

We need to update and deploy quibble-stretch-php70 to use phpunit-patch-coverage 0.0.10 to fix T202470: phpunit-patch-coverage fails if a file was renamed

Event Timeline

Reedy created this task.Apr 14 2019, 4:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2019, 4:52 PM

Though quibble-stretch used to pull this in (added in 46950e114b2a3a358d92f9d1a3eb49fb07d82e68), it was later removed and put into quibble-stretch-php70 only. quibble-fresnel doesn't have it either, it just mentions it given the duplicated changelog.

Change 514387 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: [quibble-stretch-php70] Upgrade phpunit-patch-coverage from 0.0.9 to 0.0.10

https://gerrit.wikimedia.org/r/514387

Change 514391 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Migrate PHP code coverage jobs to quibble-stretch-php70:0.0.31-5

https://gerrit.wikimedia.org/r/514391

Change 514387 merged by jenkins-bot:
[integration/config@master] dockerfiles: [quibble-stretch-php70] Upgrade phpunit-patch-coverage from 0.0.9 to 0.0.10

https://gerrit.wikimedia.org/r/514387

Mentioned in SAL (#wikimedia-releng) [2019-06-04T20:31:31Z] <James_F> Updating docker-pkg files on contint1001 for quibble-stretch-php70 T220917

Change 514391 merged by jenkins-bot:
[integration/config@master] jjb: Migrate PHP code coverage jobs to quibble-stretch-php70:0.0.31-5

https://gerrit.wikimedia.org/r/514391

Mentioned in SAL (#wikimedia-releng) [2019-06-04T20:39:30Z] <James_F> Updating jjb PHP code coverage jobs to quibble-stretch-php70:0.0.31-5 T220917

Jdforrester-WMF closed this task as Resolved.Jun 4 2019, 8:55 PM

Success.